﻿using JPK_VDEK.Core;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace JPK_VDEK
{
    /// <summary>
    /// Logika interakcji dla klasy Ogolne.xaml
    /// </summary>
    public partial class Ogolne : UserControl
    {
        public MainWindow win { get; set; }
        public Ogolne()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia IB";
            openFileDialog.Filter = "XML|*.xml";
            if (openFileDialog.ShowDialog() == true )
            {
                tigl.Text = openFileDialog.FileName;
            }

        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia GL";
            openFileDialog.Filter = "CSV|*.csv";
            if (openFileDialog.ShowDialog() == true)
            {
                tgl.Text = openFileDialog.FileName;
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia IB";
            openFileDialog.Filter = "XML|*.xml";
            if (openFileDialog.ShowDialog() == true)
            {
                tscal.Text = openFileDialog.FileName;
            }
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
           
        }

        private void Button_Click_4(object sender, RoutedEventArgs e)
        {

        }

        private void Button_Click_5(object sender, RoutedEventArgs e)
        {

        }

        private void Button_Click_6(object sender, RoutedEventArgs e)
        {

        }

        private void bgen_Click(object sender, RoutedEventArgs e)
        {
            // wczytywanie pliku csv i wypełnianie struktur 
            string path = tgl.Text;
            string[] atr;
            try
            {
                using (StreamReader sr = new StreamReader(path))
                {
                    string line = sr.ReadLine();
                    atr = line.Split('|');

                    JpkData.getJpk().Naglowek.KodUrzedu = TKodUS.Item0271;
                    JpkData.getJpk().UsNazwa = "DOLNOŚLĄSKI URZĄD SKARBOWY WE WROCŁAWJU";

                    JpkData.getJpk().Naglowek.Rok = atr[1].Substring(0, 4);
                    JpkData.getJpk().Naglowek.Miesiac = Convert.ToSByte(atr[1].Substring(4, 2));
                    JpkData.getJpk().Naglowek.DataWytworzeniaJPK = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));
                    JpkData.getJpk().Naglowek.CelZlozenia.Value = 1;

                    TPodmiotDowolnyBezAdresuOsobaNiefizyczna fir = new TPodmiotDowolnyBezAdresuOsobaNiefizyczna();
                    JG jgos = new JG();
                    SpName sp = (SpName)jgos.Lista.FirstOrDefault(s => s.Kod == atr[0]);
                    fir.NIP = sp.NIP;
                    fir.PelnaNazwa = sp.Describe;
                    fir.Telefon = sp.telefon;
                    fir.Email = sp.email;
                    JpkData.getJpk().Podmiot1.Item = fir;

                    win.DataContext = JpkData.getJpk();
                    
                    while (!sr.EndOfStream)
                    {
                        line = sr.ReadLine();
                    }
    
                  
                }
            }
            catch (FileNotFoundException ex)
            {
 
            }
        }
    }
}
